[Python-modules-commits] [parallax] 03/08: Initial package release (Closes: #844249)

Valentin Vidic vvidic-guest at moszumanska.debian.org
Sun Nov 13 21:22:26 UTC 2016


This is an automated email from the git hooks/post-receive script.

vvidic-guest pushed a commit to branch master
in repository parallax.

commit aba4c81c07acac5fa35a3e54c08f480009685afb
Author: Valentin Vidic <Valentin.Vidic at CARNet.hr>
Date:   Sun Nov 13 21:59:42 2016 +0100

    Initial package release (Closes: #844249)
---
 debian/changelog                 |  5 +++++
 debian/compat                    |  1 +
 debian/control                   | 28 +++++++++++++++++++++++++++
 debian/copyright                 | 40 ++++++++++++++++++++++++++++++++++++++
 debian/python-parallax.docs      |  1 +
 debian/python-parallax.postinst  | 41 +++++++++++++++++++++++++++++++++++++++
 debian/python-parallax.prerm     | 42 ++++++++++++++++++++++++++++++++++++++++
 debian/python3-parallax.docs     |  1 +
 debian/python3-parallax.postinst | 41 +++++++++++++++++++++++++++++++++++++++
 debian/python3-parallax.prerm    | 42 ++++++++++++++++++++++++++++++++++++++++
 debian/rules                     | 12 ++++++++++++
 debian/source/options            |  1 +
 debian/tests/control             |  7 +++++++
 debian/tests/testsuite           | 14 ++++++++++++++
 debian/tests/testsuite3          | 14 ++++++++++++++
 debian/watch                     |  4 ++++
 16 files changed, 294 insertions(+)

diff --git a/debian/changelog b/debian/changelog
new file mode 100644
index 0000000..4607e74
--- /dev/null
+++ b/debian/changelog
@@ -0,0 +1,5 @@
+parallax (1.0.1-1) unstable; urgency=low
+
+  * Initial package release (Closes: #844249)
+
+ -- Valentin Vidic <Valentin.Vidic at CARNet.hr>  Sat, 05 Nov 2016 15:26:04 +0000
diff --git a/debian/compat b/debian/compat
new file mode 100644
index 0000000..f599e28
--- /dev/null
+++ b/debian/compat
@@ -0,0 +1 @@
+10
diff --git a/debian/control b/debian/control
new file mode 100644
index 0000000..863a00f
--- /dev/null
+++ b/debian/control
@@ -0,0 +1,28 @@
+Source: parallax
+Section: python
+Priority: optional
+Maintainer: Debian Python Modules Team <python-modules-team at lists.alioth.debian.org>
+Uploaders: Valentin Vidic <Valentin.Vidic at CARNet.hr>
+Build-Depends: debhelper (>= 10), dh-python, python-all, python3-all
+Standards-Version: 3.9.8
+Homepage: https://github.com/krig/parallax/
+
+Package: python-parallax
+Architecture: all
+Depends: ${misc:Depends}, ${python:Depends}
+Description: Execute commands and copy files over SSH (Python 2)
+ Parallax SSH provides an interface to executing commands on multiple nodes at
+ once using SSH. It also provides commands for sending and receiving files to
+ multiple nodes using SCP.
+ .
+ This package contains the Python 2 version of the module.
+
+Package: python3-parallax
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends}
+Description: Execute commands and copy files over SSH (Python 3)
+ Parallax SSH provides an interface to executing commands on multiple nodes at
+ once using SSH. It also provides commands for sending and receiving files to
+ multiple nodes using SCP.
+ .
+ This package contains the Python 3 version of the module.
diff --git a/debian/copyright b/debian/copyright
new file mode 100644
index 0000000..618f99d
--- /dev/null
+++ b/debian/copyright
@@ -0,0 +1,40 @@
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: parallax
+Upstream-Contact: Kristoffer Gronlund <krig at koru.se>
+Source: https://github.com/krig/parallax/
+
+Files: *
+Copyright: Kristoffer Gronlund <krig at koru.se>
+           Andrew McNabb <amcnabb at mcnabbs.org>
+           Brent Chun <bnc at theether.org>
+           Vladislav Bogdanov <bubble at hoster-ok.com>
+License: BSD-3-Clause
+
+Files: debian/*
+Copyright: 2016 Valentin Vidic <Valentin.Vidic at CARNet.hr>
+License: BSD-3-Clause
+
+License: BSD-3-Clause
+ Redistribution and use in source and binary forms, with or without
+ modification, are permitted provided that the following conditions
+ are met:
+ 1. Redistributions of source code must retain the above copyright
+    notice, this list of conditions and the following disclaimer.
+ 2. Redistributions in binary form must reproduce the above copyright
+    notice, this list of conditions and the following disclaimer in the
+    documentation and/or other materials provided with the distribution.
+ 3. Neither the name of the University nor the names of its contributors
+    may be used to endorse or promote products derived from this software
+    without specific prior written permission.
+ .
+ THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+ ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
+ LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR 
+ A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE HOLDERS OR
+ CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, 
+ EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
+ PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR 
+ PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
+ LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
+ NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS 
+ SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
diff --git a/debian/python-parallax.docs b/debian/python-parallax.docs
new file mode 100644
index 0000000..b43bf86
--- /dev/null
+++ b/debian/python-parallax.docs
@@ -0,0 +1 @@
+README.md
diff --git a/debian/python-parallax.postinst b/debian/python-parallax.postinst
new file mode 100644
index 0000000..3562309
--- /dev/null
+++ b/debian/python-parallax.postinst
@@ -0,0 +1,41 @@
+#!/bin/sh
+# postinst script for python-parallax
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see https://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+        update-alternatives --install /usr/bin/parallax-askpass \
+            parallax-askpass /usr/bin/parallax-askpass2 50
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/python-parallax.prerm b/debian/python-parallax.prerm
new file mode 100644
index 0000000..9072923
--- /dev/null
+++ b/debian/python-parallax.prerm
@@ -0,0 +1,42 @@
+#!/bin/sh
+# prerm script for python-parallax
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see https://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    remove|deconfigure)
+        update-alternatives --remove parallax-askpass /usr/bin/parallax-askpass2
+    ;;
+
+    upgrade)
+    ;;
+
+    failed-upgrade)
+    ;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/python3-parallax.docs b/debian/python3-parallax.docs
new file mode 100644
index 0000000..b43bf86
--- /dev/null
+++ b/debian/python3-parallax.docs
@@ -0,0 +1 @@
+README.md
diff --git a/debian/python3-parallax.postinst b/debian/python3-parallax.postinst
new file mode 100644
index 0000000..9cc4005
--- /dev/null
+++ b/debian/python3-parallax.postinst
@@ -0,0 +1,41 @@
+#!/bin/sh
+# postinst script for python3-parallax
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see https://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+        update-alternatives --install /usr/bin/parallax-askpass \
+            parallax-askpass /usr/bin/parallax-askpass3 40
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/python3-parallax.prerm b/debian/python3-parallax.prerm
new file mode 100644
index 0000000..f3dff2e
--- /dev/null
+++ b/debian/python3-parallax.prerm
@@ -0,0 +1,42 @@
+#!/bin/sh
+# prerm script for python3-parallax
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see https://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    remove|deconfigure)
+        update-alternatives --remove parallax-askpass /usr/bin/parallax-askpass3
+    ;;
+
+    upgrade)
+    ;;
+
+    failed-upgrade)
+    ;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/rules b/debian/rules
new file mode 100755
index 0000000..d90334e
--- /dev/null
+++ b/debian/rules
@@ -0,0 +1,12 @@
+#! /usr/bin/make -f
+
+export PYBUILD_NAME=parallax
+%:
+	dh $@ --with python2,python3 --buildsystem=pybuild
+
+override_dh_auto_install:
+	dh_auto_install
+	mv $(CURDIR)/debian/python-parallax/usr/bin/parallax-askpass \
+	   $(CURDIR)/debian/python-parallax/usr/bin/parallax-askpass2
+	mv $(CURDIR)/debian/python3-parallax/usr/bin/parallax-askpass \
+	   $(CURDIR)/debian/python3-parallax/usr/bin/parallax-askpass3
diff --git a/debian/source/options b/debian/source/options
new file mode 100644
index 0000000..d81db3f
--- /dev/null
+++ b/debian/source/options
@@ -0,0 +1 @@
+extend-diff-ignore="^[^/]+.egg-info/"
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..275effb
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,7 @@
+Tests: testsuite
+Depends: python-parallax, openssh-server, openssh-client, adduser
+Restrictions: needs-root, isolation-container
+
+Tests: testsuite3
+Depends: python3-parallax, openssh-server, openssh-client, adduser
+Restrictions: needs-root, isolation-container
diff --git a/debian/tests/testsuite b/debian/tests/testsuite
new file mode 100755
index 0000000..d097c15
--- /dev/null
+++ b/debian/tests/testsuite
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -e
+
+HOMEDIR=$AUTOPKGTEST_TMP/home
+adduser --home $HOMEDIR --disabled-password --gecos autopkgtest parallax
+
+mkdir -m 700 $HOMEDIR/.ssh
+ssh-keyscan localhost > $HOMEDIR/.ssh/known_hosts 2>/dev/null
+ssh-keygen -q -N '' -f $HOMEDIR/.ssh/id_rsa
+cp $HOMEDIR/.ssh/id_rsa.pub $HOMEDIR/.ssh/authorized_keys
+chown -R parallax: $HOMEDIR/.ssh/
+
+su -c "env TEST_HOSTS=localhost TEST_USER=parallax python test/test_api.py" parallax 2>&1
diff --git a/debian/tests/testsuite3 b/debian/tests/testsuite3
new file mode 100755
index 0000000..ab1aa18
--- /dev/null
+++ b/debian/tests/testsuite3
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -e
+
+HOMEDIR=$AUTOPKGTEST_TMP/home
+adduser --home $HOMEDIR --disabled-password --gecos autopkgtest parallax
+
+mkdir -m 700 $HOMEDIR/.ssh
+ssh-keyscan localhost > $HOMEDIR/.ssh/known_hosts 2>/dev/null
+ssh-keygen -q -N '' -f $HOMEDIR/.ssh/id_rsa
+cp $HOMEDIR/.ssh/id_rsa.pub $HOMEDIR/.ssh/authorized_keys
+chown -R parallax: $HOMEDIR/.ssh/
+
+su -c "env TEST_HOSTS=localhost TEST_USER=parallax python3 test/test_api.py" parallax 2>&1
diff --git a/debian/watch b/debian/watch
new file mode 100644
index 0000000..2c008ed
--- /dev/null
+++ b/debian/watch
@@ -0,0 +1,4 @@
+# try also https://pypi.debian.net/parallax/watch
+version=3
+opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
+https://pypi.debian.net/parallax/parallax-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/python-modules/packages/parallax.git



More information about the Python-modules-commits mailing list